gi-atk-2.0.18: Atk bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Atk.Structs.PropertyValues

Contents

- Exported types
- Properties
  - newValue
  - oldValue
  - propertyName

Description

Note: `oldValue` field of `PropertyValues` will not contain a valid value. This is a field defined with the purpose of contain the previous value of the property, but is not used anymore.

Synopsis

- newtype PropertyValues = PropertyValues (ManagedPtr PropertyValues)
- newZeroPropertyValues :: MonadIO m => m PropertyValues
- noPropertyValues :: Maybe PropertyValues
- getPropertyValuesNewValue :: MonadIO m => PropertyValues -> m GValue
- getPropertyValuesOldValue :: MonadIO m => PropertyValues -> m GValue
- clearPropertyValuesPropertyName :: MonadIO m => PropertyValues -> m ()
- getPropertyValuesPropertyName :: MonadIO m => PropertyValues -> m (Maybe Text)
- setPropertyValuesPropertyName :: MonadIO m => PropertyValues -> CString -> m ()

# Exported types

newtype PropertyValues Source #

Memory-managed wrapper type.

Constructors

PropertyValues (ManagedPtr PropertyValues) |

Instances

WrappedPtr PropertyValues Source # |
Instance details Defined in GI.Atk.Structs.PropertyValues Methods wrappedPtrCalloc :: IO (Ptr PropertyValues) Source # wrappedPtrCopy :: PropertyValues -> IO PropertyValues Source # wrappedPtrFree :: Maybe (FunPtr (Ptr PropertyValues -> IO ())) Source #
tag ~ AttrSet => Constructible PropertyValues tag Source # |
Instance details Defined in GI.Atk.Structs.PropertyValues Methods new :: MonadIO m => (ManagedPtr PropertyValues -> PropertyValues) -> [AttrOp PropertyValues tag] -> m PropertyValues Source #

newZeroPropertyValues :: MonadIO m => m PropertyValues Source #

Construct a `PropertyValues` struct initialized to zero.

noPropertyValues :: Maybe PropertyValues Source #

A convenience alias for `Nothing` :: `Maybe` `PropertyValues`.

# Properties

## newValue

The new value of the named property.

getPropertyValuesNewValue :: MonadIO m => PropertyValues -> m GValue Source #

Get the value of the “`new_value`” field. When overloading is enabled, this is equivalent to

    get propertyValues #newValue

## oldValue

NULL. This field is not used anymore.

getPropertyValuesOldValue :: MonadIO m => PropertyValues -> m GValue Source #

Get the value of the “`old_value`” field. When overloading is enabled, this is equivalent to

    get propertyValues #oldValue

## propertyName

The name of the ATK property which has changed.

clearPropertyValuesPropertyName :: MonadIO m => PropertyValues -> m () Source #

Set the value of the “`property_name`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #propertyName

getPropertyValuesPropertyName :: MonadIO m => PropertyValues -> m (Maybe Text) Source #

Get the value of the “`property_name`” field. When overloading is enabled, this is equivalent to

    get propertyValues #propertyName

setPropertyValuesPropertyName :: MonadIO m => PropertyValues -> CString -> m () Source #

Set the value of the “`property_name`” field. When overloading is enabled, this is equivalent to

    set propertyValues [ #propertyName := value ]